Printago API
PATCH /v1/printers

Bulk update printers

Update the same fields on multiple printers

Requires: printer.edit

Request Body

Printer IDs and shared update data

UpdateManyRequestPrinterUpdate
idsrequired
string[]
updaterequired
object
Make all properties in T optional
commMethodoptional
any
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
deviceIdoptional
string
enabledoptional
boolean
integrationIdoptional
string
integrationTypeoptional
any
metadataoptional
object
nameoptional
string
nozzleDiameteroptional
string
printerAdapterBindingsPatchoptional
object
Per-printer adapter binding override applied last.
printerCapabilityPatchoptional
object
Per-printer capability override applied last (web Advanced Capabilities panel).
tagsoptional
string[]
vendorModelIdoptional
number

Example Request

application/json
{
  "ids": [
    "string"
  ],
  "update": {
    "name": "string",
    "customMetadata": {},
    "tags": [
      "string"
    ],
    "nozzleDiameter": "string",
    "enabled": true
  }
}

Response Schema

Response
value
object[]

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "nozzleDiameter": "string",
    "enabled": true,
    "tags": [
      "string"
    ],
    "confirmedReady": true,
    "isAvailable": true,
    "isOnline": true,
    "continuousPrint": true,
    "lifetimePrintHours": 1,
    "lifetimeJobCount": 1,
    "isInMaintenance": true,
    "customMetadata": {},
    "id": "string",
    "storeId": "string",
    "createdAt": "2026-09-09T20:31:47.042Z",
    "updatedAt": "2026-09-09T20:31:47.042Z"
  }
]